=== debian/changelog ===
qtbase-opensource-src (5.11.3+dfsg1-1+deb10u8) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2024-39936: issue in HTTP2. Code to make security-relevant
    decisions about an established connection may execute too early,
    because the encrypted() signal has not yet been emitted and
    processed.
  * Add test for CVE 2015-9541
  * Add Salsa-CI configuration
  * Add git-buildpackage configuration
  * Fix debian/watch for 'uscan --download-current-version'
  * Add lintian overrides for misc Python script without dependency

 -- Sylvain Beucler <beuc@debian.org>  Thu, 27 Nov 2025 17:57:56 +0100

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u7) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2023-34410: certificate validation for TLS did not always
    consider whether the root of a chain is a configured CA certificate
  * Fixed the build on i386 and armhf, where the previous upload was
    never successfully built.

 -- Adrian Bunk <bunk@debian.org>  Mon, 28 Oct 2024 15:23:04 +0200

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u6) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-32763
    fix QTextLayout buffer overflow due to crafted SVG file
  * CVE-2023-24607
    fix denial of service via a crafted string when the SQL ODBC driver 
    plugin is used
  * fix regression caused by patch for CVE-2023-24607
  * CVE-2023-32762
    prevent incorrect parsing of the strict-transport-security (HSTS) header
  * CVE-2023-51714
    fix incorrect HPack integer overflow check.
  * CVE-2023-38197
    fix infinite loop in recursive entity expansion
  * CVE-2023-37639
    fix crash of application in QXmlStreamReader due to crafted XML string
  * CVE-2023-33285
    fix buffer overflow in QDnsLookup
  * backport of QByteArray::compare() needed for CVE-2023-32762
  * add new symbol to libqt5core5a.symbols

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Apr 2024 22:40:02 +0200
