=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-everywhere-src-(.*)\.tar\.xz
