## qtbase-opensource-src 5.12.2+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.2+dfsg-4ubuntu1) disco; urgency=medium

  * Fix an endianness issue in the bundled copy of tinyCBOR library.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 11 Apr 2019 16:29:37 +0300

qtbase-opensource-src (5.12.2+dfsg-4) experimental; urgency=medium

  * Build-depend on libxcb-xinput-dev, to fix mouse events handling.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Apr 2019 13:36:04 +0300

qtbase-opensource-src (5.12.2+dfsg-3) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add a patch to make qt_is_ascii function work properly on big endian.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Apr 2019 22:10:34 +0300

qtbase-opensource-src (5.12.2+dfsg-2) experimental; urgency=medium

  * Backport upstream patch to fix generation of Qt5::GLESv2 target on ARM.
  * Change Perl shebangs to /usr/bin/perl as required by Policy § 10.4.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 12:39:25 +0300

qtbase-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop patches, applied upstream:
    - fix-selection-rendering.patch
    - reference_dpi.diff
    - remove_need_for_glXGetProcAddressARB.patch
    - qprintdialog_duplex.diff
    - no_arc4random_buf.diff
    - kfreebsd_qstrncpy.diff
    - alpha_atimensec.diff
    - hurd_missing_include.diff
  * Refresh and rebase other patches.
  * Restore GLES-related changes that were dropped in 5.11.3+dfsg-4.
  * Add libqt5gui5-gles alternative dependency to platformtheme packages.
  * Update symbols files from the current build log.
  * Bump ABI version to qtbase-abi-5-12-2.
  * debian/scripts/update-copyright: Map upstream MIT license to Expat.
  * Regenerate the Qt part of debian/copyright.
  * Manually update the 3rdparty part of debian/copyright.

  [ Simon Quigley ]
  * Move the Flatpak platform theme to a generic XDG Desktop Portal platform
    theme.
  * Remove qxcbintegrationfunctions.h which is no longer provided by upstream.
  * Add new files from upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Mar 2019 20:47:10 +0300
