## qtbase-opensource-src 5.12.4+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.4+dfsg-4ubuntu1) eoan; urgency=medium

  * Backport two patches from upstream 5.12.5 release:
    - Use Xft DPI as basis for HiDPI scaling (LP: #1834333).
    - Fix crash when closing floating QDialogs, by reverting a breaking
      change from 5.12.4 release.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Oct 2019 11:59:59 +0300

qtbase-opensource-src (5.12.4+dfsg-4build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:04:58 +0000

qtbase-opensource-src (5.12.4+dfsg-4) experimental; urgency=medium

  * Mark libqxcb-glx-integration.so and the corresponding CMake file as
    not installed on armel and armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 22:35:09 +0300

qtbase-opensource-src (5.12.4+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix Qt WebEngine segfault with multiple
    screens and HighDPI scaling (hidpi_crash.diff).
  * Install most of the CMake files for plugins. Third-party software
    can use these plugins to detect presence of certain features in Qt
    (e.g. Qt WebKit uses it to detect X11 support). Skip SQL plugins and
    theme plugins, to avoid introducing new dependencies for qtbase5-dev.
  * Make debian/libqt5gui5.install a bit more verbose.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 14:28:13 +0300

qtbase-opensource-src (5.12.4+dfsg-2) experimental; urgency=medium

  * Bump ABI version to qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jun 2019 23:37:50 +0300

qtbase-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Split the single doc-base file into per-submodule files.

  [ Dmitry Shachnev ]
  * New upstream release.
    - Added an X11 system tray watcher (closes: #867794).
  * Drop the two big-endian patches, both applied upstream.
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Fix a typo in patch name (breachs → breaches).
  * Backport upstream patch to fix notification of QDockWidget when it gets
    undocked (needed for Krita).
  * Install two new files.
  * Update Homepage URL (use the page the old URL redirects to).
  * Update Upstream-Name and Source headers in debian/copyright (closes:
    #916556).
  * Update symbols files from buildds’ and the current build logs.
  * Backport four upstream commits to fix various errors from qdoc.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Jun 2019 17:46:27 +0300

qtbase-opensource-src (5.12.3+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop glesv2_absolute.diff, included in the new release.
  * Drop revert_remove_our_use_of_syscall_for-statx.patch, no longer
    needed with the new version (see QTBUG-74526).
  * Install some new winrt-msvc2019 mkspecs.
  * Update debian/libqt5gui5.symbols from the current build log.
  * Bump ABI version to qtbase-abi-5-12-3.
  * Backport upstream patch to fix an endianness issue in TinyCBOR.
  * Fix Perl shebang also in findclasslist.pl.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Apr 2019 22:51:39 +0300

qtbase-opensource-src (5.11.3+dfsg1-2) unstable; urgency=medium

  * Backport upstream patch to add support for non-PPD printers and avoid
    silent fallback to a printer supporting PPD (closes: #911844).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jun 2019 18:22:58 +0300
