## qtbase-opensource-src 5.12.5+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.5+dfsg-9+rpi1) bullseye-staging; urgency=medium

  [changes introduced in 5.6.1+dfsg-2+rpi1] by Peter Michael Green]
  * Partially fix clean target.

  [changes introduced in 5.9.1+dfsg-9+rpi1 by Peter Michael Green]
  * Disable neon (-no-neon no longer seems to work, so edit configure.json instead)

 -- Raspbian forward porter <root@raspbian.org>  Thu, 05 Mar 2020 09:30:02 +0000

qtbase-opensource-src (5.12.5+dfsg-9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to add an expansion limit for XML entities
    (CVE-2015-9541, closes: #951066).
    - Add two new symbols to debian/libqt5core5a.symbols.

  [ Helmut Grohne ]
  * qmake cross wrapper should pass QMAKE_STRIP. (Closes: #950507)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Feb 2020 16:52:19 +0300

qtbase-opensource-src (5.12.5+dfsg-8) unstable; urgency=medium

  * Revert adding alternative qtbase5-gles-dev dependencies:
    - For qtbase5-private-dev: it is wrong, those who need private headers
      and OpenGL ES specific API should use qtbase5-private-gles-dev, not
      qtbase5-private-dev.
    - For libqt5opengl5-dev: it does not help, libqt5opengl5 uses desktop
      OpenGL specific symbols, so it is not installable with libqt5gui5-gles.
  * Remove explicit libqt5gui5 | libqt5gui5-gles dependencies from the
    platformtheme packages. Rely on ${shlibs:Depends} instead.
  * Override the remaining version-substvar-for-external-package error.
  * Backport fixes for two vulnerabilities:
    - CVE-2020-0569: Do not load plugin from the CWD.
    - CVE-2020-0570: Qt tries to load invalid library from CWD.
  * Make Qt 5 the default configuration in qtchooser, by installing the
    qt-default/qtchooser/default.conf symlink in libqt5core5a package.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Jan 2020 00:03:38 +0300

qtbase-opensource-src (5.12.5+dfsg-7) unstable; urgency=medium

  * Changeless upload to allow arch:all binary packages being built after
    passing NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jan 2020 09:08:39 -0300

qtbase-opensource-src (5.12.5+dfsg-6) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Split the doxygen .tags files into a new qtbase5-doc-dev package,
    see #922707.
  * Make relevant development packages depend upon
    qtbase5-dev | qtbase5-gles-dev. This allows building packages with either of
    them (Closes: #949028).

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #876131)
    + Pass --external-hostbindir to use the native qmake.
    + Pass a cross platform_arg.
    + Verify that the qmake self-dependency exactly matches the version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Jan 2020 14:54:20 -0300

qtbase-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit the libdrm-dev build dependency as linux-any, as it is only useful
    on Linux. (Closes: #947675)

  [ Dmitry Shachnev ]
  * Backport upstream patch to add RISC-V detection.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 31 Dec 2019 14:19:15 +0300

qtbase-opensource-src (5.12.5+dfsg-4) unstable; urgency=medium

  * Build-depend on libdrm-dev and libxcb-glx0-dev, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Dec 2019 00:28:25 +0300

qtbase-opensource-src (5.12.5+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix uic handling of .ui files with global
    includes. Thanks to Alexander Volkov for the pointer!
  * Stop depending on libgl1-mesa-dev and libgles2-mesa-dev, which are
    transitional packages in mesa ≥ 19.3.0~rc6-1.
  * Also make qtbase5-dev explicitly depend on libegl-dev (closes: #947117).
  * Move the compatibility symlinks from qtbase5-dev-tools to qtbase5-dev
    (closes: #939653).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Dec 2019 14:30:03 +0300

qtbase-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add support for PostgreSQL 12 (closes: #941763).
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:33:00 +0300

qtbase-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * Merge 5.11.3+dfsg1-3 and -4 uploads from unstable.
  * New upstream release.
  * Drop hidpi_crash.diff, applied in the new release.
  * Refresh debian/patches/docs_fixes.diff.
  * Add two new files to debian/qt5-qmake.install.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtbase-abi-5-12-5.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2019 10:35:33 +0300

qtbase-opensource-src (5.11.3+dfsg1-4) unstable; urgency=medium

  * Backport upstream patch to fix build with GCC 9 (closes: #925812).
  * Backport upstream patch to silence some GCC 9 warnings.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Aug 2019 17:15:39 +0300

qtbase-opensource-src (5.11.3+dfsg1-3) unstable; urgency=medium

  * Tell dh_strip_nondeterminism to ignore .png files (closes: #934215).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Aug 2019 14:21:20 +0300
