=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
                libcups2-dev,
                libdbus-1-dev,
                libdouble-conversion-dev,
+               libdrm-dev [linux-any],
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
-               libgl1-mesa-dev | libgl-dev,
-               libgles2-mesa-dev | libgles2-dev,
+               libgl-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -43,6 +44,7 @@
                libvulkan-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
+               libxcb-glx0-dev,
                libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
@@ -64,12 +66,13 @@
                libxrender-dev,
                pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
+               qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.12) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -78,11 +81,13 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-12-4
+Provides: qtbase-abi-5-12-5
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
+        libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -110,9 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5gui5 (= ${binary:Version}) | libqt5gui5-gles (>= ${source:Upstream-Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 GTK+ 3 platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -136,9 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5gui5 (= ${binary:Version}) | libqt5gui5-gles (>= ${source:Upstream-Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -332,4 +333,6 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
+Depends: libegl-dev,
+         libgl-dev [!armel !armhf],
+         libgles-dev [armel armhf],
