## qtbase-opensource-src 5.12.8%2Bdfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.8+dfsg-0ubuntu2.1+esm2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2024-25580.patch: Improve KTX file reading
      memory safety
    - CVE-2024-25580

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 03 Dec 2025 21:15:12 +1100

qtbase-opensource-src (5.12.8+dfsg-0ubuntu2.1+esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2023-24607.patch: Deal with different sizes of
      SQLTCHAR correctly
    - CVE-2023-24607
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2023-32762.patch: Match header names case
      insensitively
    - CVE-2023-32762
  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-33285.patch: Fix parsing corrupt, malicious,
      or truncated replies
    - CVE-2023-33285
  * SECURITY UPDATE: Improper Certificate Validation
    - debian/patches/CVE-2023-34410.patch: Copy the on-demand cert loading
      bool from default config
    - CVE-2023-34410

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 19 Sep 2025 09:55:26 +1000

qtbase-opensource-src (5.12.8+dfsg-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Write
    - No-change rebuild for the focal-security pocket.
    - CVE-2021-38593

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 05 Jan 2022 18:54:17 +0000

qtbase-opensource-src (5.12.8+dfsg-0ubuntu2) focal; urgency=medium

  * Backport four upstream commits to fix massive memory consumption when
    rendering specially crafted SVG files (CVE-2021-38593, LP: #1950193).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 12 Dec 2021 14:25:21 +0300

qtbase-opensource-src (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Drop patches, included in the new release:
    - uic_global_includes.diff
    - CVE-2020-0569.diff
    - CVE-2020-0570.diff
    - CVE-2015-9541.diff
  * Refresh other patches.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Bump ABI version to qtbase-abi-5-12-8.
  * Bump Build-Depends-Indep to 5.12.8.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 10:57:56 +0300

qtbase-opensource-src (5.12.5+dfsg-9build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:50:35 +0100
