=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -69,9 +70,9 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.12) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtattributionsscanner-qt5 <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
@@ -81,7 +82,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-12-5
+Provides: qtbase-abi-5-12-8
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -334,5 +335,3 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libegl-dev,
-         libgl-dev [!armel !armhf],
-         libgles-dev [armel armhf],
