=== debian/rules ===
--- 
+++ 
@@ -200,9 +200,6 @@
 	# more leftovers
 	rm -f .device.vars .qmake.vars
 
-	# yet more crap
-	rm -rf doc/q*
-
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
