=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-everywhere-src-(.*)\.tar\.xz
